Subject: RE: ppvpn Re: BGP/MPLS VPNs : On an Egress PE, on which table is the label look up done ?

From: "Manoj Kulkarni" <[email-masked]>
Date: Tue, 13 Nov 2001 10:27:15 -0800

This will be specific to implementation. In the simplest case
one can decode a VRF and a pointer to the sub-interface
(towards CE) from the inner label. There will be some data
path module that would maintain this and BGP may not maintain
a separate LIB.

--Manoj

-----Original Message-----
From: Robert Raszuk [mailto:[email-masked]]
Sent: Tuesday, November 13, 2001 5:04 AM
To: [email-masked]
Cc: [email-masked]; MPLS-UUNET
Subject: ppvpn Re: BGP/MPLS VPNs : On an Egress PE, on which table is
the label look up done ?

The most likely you will have a LFIB for such a lookup. That is the
table which is build from all label sources (LIB, BGP transported labels
... etc..).

R.

> Adithya S Bhat wrote:
> 
> Hi all,
> 
> WRT rfc2547bis, Section 5, Forwarding across the backbone:
> "MPLS will then carry the packet across the backbone.  The egress PE
> router's treatment of the packet will depend on the Label that was first
> pushed on by the ingress PE.  In many cases, the PE will be  able to
> determine, from this label, the sub-interface over which the packet
> should be transmitted (to a CE device), as well as the proper data link
> layer header for that interface. "
> 
> To determine the sub-interface over which the packet is transmitted ( to
> a CE ), the PE , I assume, will have to do a label look up in some
> table. I am not abel to understand, what table will this be ? ( as per
> my understanding ) I am sure that this not the VRF. Juniper white paper
> on rfc2547bis ( Example #1) talks of a "MPLS forwarding table", on which
> the the label look up is done. Is this table similar to LIB in LDP ??,
> if yes, can I assume that BGP will maintain a seperate LIB.
> 
> Am i missing something here ?
> 
> Regard
> --
> Adithya